//---------------------------------------------------------------------------
#include <vcl.h>
#include <shellapi.h>
#pragma hdrstop

#include "HyperLink.hpp"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck wird verwendet, um sicherzustellen, da die erzeugten
// Komponenten keine rein virtuellen Funktionen besitzen.
//

static inline void ValidCtrCheck(THyperLink *)
{
    new THyperLink(NULL);
}
//---------------------------------------------------------------------------
__fastcall THyperLink::THyperLink(TComponent* Owner)
    : TCustomLabel(Owner)
{
  TFontStyles UnderlinedFont;
  UnderlinedFont << fsUnderline;

  Cursor = crHandPoint;
  Font->Color = clBlue;
  Font->Style = UnderlinedFont;
}
//---------------------------------------------------------------------------
void __fastcall THyperLink::SetURL (AnsiString AURL)
{
  FURL = AURL;
}
//---------------------------------------------------------------------------
void __fastcall THyperLink::Click()
{
  ShellExecute (
    Application->Handle,  // handle to parent window
    "open",               // pointer to string that specifies operation to perform
    FURL.c_str(),         // pointer to filename or folder name string
    NULL,                 // pointer to string that specifies executable-file parameters
    NULL,                 // pointer to string that specifies default directory
    SW_SHOWDEFAULT        // whether file is shown when opened
  );
  TCustomLabel::Click();
  Font->Color = clPurple;
}
//---------------------------------------------------------------------------
namespace Hyperlink
{
    void __fastcall PACKAGE Register()
    {
        TComponentClass classes[1] = {__classid(THyperLink)};
        RegisterComponents("Internet", classes, 0);
    }
}
//---------------------------------------------------------------------------
 